#
# spec file for package monitoring-plugins-mysql_health
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         realname check_mysql_health
Name:           monitoring-plugins-mysql_health
Version:        3.0.0.5
Release:        bp156.3.1
Summary:        Check various parameters of a MySQL database
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://labs.consol.de/lang/en/nagios/check_mysql_health/
Source0:        https://labs.consol.de/assets/downloads/nagios/%{realname}-%{version}.tar.gz
BuildRequires:  nagios-rpm-macros
Requires:       mysql-client
Recommends:     perl(DBD::mysql)
Recommends:     perl(DBI)
Provides:       nagios-plugins-mysql_health = %{version}-%{release}
Obsoletes:      nagios-plugins-mysql_health < %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
When using a database that are business critical it can be a good idea to
monitor the internals.

This Nagios plugin allows you to monitor the internal details of your
MySQL database.

%prep
%setup -q -n %{realname}-%{version}

%build
%configure \
	--libexecdir=%{nagios_plugindir} \
	--with-nagios-user=%{nagios_user} \
	--with-nagios-group=%{nagios_group} \
	--with-mymodules-dyn-dir=%{nagios_plugindir} \
 	--with-mymodules-dir=%{nagios_plugindir} \
	--with-perl=%{_bindir}/perl

%install
mkdir -p %{buildroot}/%{nagios_plugindir}
mkdir -p %{buildroot}/%{pnp4nagios_templatedir}
make %{?_smp_mflags} DESTDIR=%{buildroot} install
mv contrib/check_mysql_health.php %{buildroot}/%{pnp4nagios_templatedir}/check_mysql_health.php

%files
%defattr(-,root,root)
%attr(0644,root,root) %doc README TODO NEWS ChangeLog AUTHORS COPYING contrib
# avoid build dependecy of nagios - own the dirs
%dir %{nagios_libdir}
%{nagios_plugindir}/
%dir %{pnp4nagios_datadir}
%dir %{pnp4nagios_templatedir}
%attr(0644,root,root) %{pnp4nagios_templatedir}/check_mysql_health.php

%changelog
* Sun Dec 11 2016 lars@linux-schulserver.de
- update to 3.0.0.5
  - update GLPlugin, fix valdiff&lookback
  - former fix was a bad idea. now if there is no cache activity, there are no
    perfdata
  - use the last good value for hitrates of there is absolutely no
    database activity
  - default --lookback 3600 only if not given on the commandline
  - fix version string
  - default --lookback 3600
  - new structure, using Monitoring::GLPlugin
- remove monitoring-plugins-mysql_health-destroy_connection.patch
  => fixed upstream
* Sun Aug 14 2016 mardnh@gmx.de
- update to 2.2.2
  - handle permission/syntax problems for mode sql
- fix source url
- ran spec-cleaner
* Wed Aug 26 2015 ecsos@opensuse.org
- update to 2.2.1
  - fix the autoconf m4, so the debian-builds don't fail
* Sun Aug  2 2015 lars@linux-schulserver.de
- update to 2.2
  + add rfc3986-encoded passwords
* Mon Feb 23 2015 ecsos@opensuse.org
- update to 2.1.9.2
  - bugfix in InnoDB initialization & versions > 5.6.1
- changes from 2.1.9.1
  - add connections_aborted, open_files to the pnp template
- changes from 2.1.9
  - bugfix in pnp template
  - bugfix in qcache calculation
- changes from 2.1.8.4
  - implement –negate old_level=new_level
  - allow floating point numbers in thresholds
- changes from 2.1.8.3
  - output also ok-messages for my-modes
* Wed Jan 14 2015 lars@linux-schulserver.de
- add monitoring-plugins-mysql_health-destroy_connection.patch to
  really handle the DB disconnect in DESTROY
* Wed Jul 30 2014 lars@linux-schulserver.de
- Renamed package to monitoring-plugins-mysql_health
* Sun Mar  2 2014 lars@linux-schulserver.de
- package the pnp4nagios template at the right place
* Fri Jan 25 2013 lars@linux-schulserver.de
- add COPYING to doc
* Wed Jan 23 2013 lars@linux-schulserver.de
- update to 2.1.8.2:
  + bugfix in querycache-hitrate (div by 0 after db restart)
  + fix warnings for newest perl versions
  + new parameters –mycnf and –mycnfgroup
* Thu Jul 12 2012 lars@linux-schulserver.de
- update to 2.1.7
  + innodb modes now detect problems with the innodb engine
  + fix a bug with statefilesdir and capital letters
  + add –labelformat so that groundwork no longer complains
    (max label length is 19 characters)
  + bugfix in mode sql (numerical vs. regexp output)
* Fri Jul 29 2011 lars@linux-schulserver.de
- initial version 2.1.5.1
